Numerology Store    Download  Video    Forum


Go Back   Five12.net -- Online Forum for the Numerology Music Sequencer > Techniques > Integration

Reply
 
Thread Tools Display Modes
  #1  
Old 12-07-2016, 09:58 PM
kenk kenk is offline
Junior Member
 
Join Date: Mar 2011
Posts: 27
Default Cubase 9 Blacklist

I just upgraded to Cubase 9 on my mac. After I launched Cubase, I found that the numerology VST was not launched and placed on the blacklist. I downloaded and installed the most recent version, 4.2 170 but the program was still on the blacklist.

I then did manually activate Numerology and Numerology appears to be running well.

I have many plugins and the only other ones that were on the blacklist were 32 bit (not supported) or fairly old plugins.

Thought you would like to know.
Reply With Quote
  #2  
Old 12-07-2016, 11:12 PM
kenk kenk is offline
Junior Member
 
Join Date: Mar 2011
Posts: 27
Default

Here is a link to the Cubase forum talking about programming issues that lead to a plugin being blacklisted

https://www.steinberg.net/forums/vie...f=250&t=107322

In order to improve the overall stability of our sequencer applications we will introduce a Plug-in Scanner which scans every plug-in (only 64-Bit) in its own process. This occurs during the start-up phase of the sequencer, or in the case of a plug-in re-scan is initiated by the user, from within the sequencer application.

Plug-ins that crash during the plug-in scan will get added to a black-list, and are excluded from the sequencer environment.

To ensure your plug-ins will be readily available to users in our future sequencer releases, we encourage you to verify your plug-in's operation with our Plug-in Scanner. In order to achieve this as efficiently as possible, we are providing you with a 64-Bit VST3 and VST2 command line app for Windows and OSX.


On OSX, we perform a check that intentionally leads to a crash, to identify if your plug-in is affected by an Objective-C runtime corruption bug in the OSX System.

What do you have to do if your plug-in crashes on OSX during the scan process?
As far as we know these plug-ins are built with Deployment Target 10.7.
There are two options to fix the problem:

1. Set the Deployment Target of your plug-in to at least Version 10.8
2. Uncheck the „Implicitly Link Objective-C runtime Library“ in the Xcode Project settings.

When you rebuild your plug-in with these settings the crash should no longer happen and your plug-in should pass the scan process successfully.

We have already informed Apple about this bug.
Reply With Quote
  #3  
Old 12-08-2016, 04:42 AM
jue's Avatar
jue jue is offline
Numerologist
 
Join Date: Nov 2008
Location: european outback
Posts: 642
Default

Hello,
made a quick test on my Air 11" last night with C9 Elements and Numerology 4.2.170 works from startup. Tried several C8 projects containing Numerology in different ways and found no error till now.
Had also some other plugs blacklisted but this were only some very old ones.
Back to music...
best
jue
PS:
Will test C9 full version at the beginning of next week if there is some time.
__________________
Reply With Quote
  #4  
Old 12-08-2016, 07:47 AM
jim jim is offline
Administrator
 
Join Date: Nov 2008
Location: Albuquerque, NM
Posts: 4,365
Default

N4 is currently built for deployment target 10.6 -- for compatibility with OS X 10.6.8. I don't have Cubase9 yet, but I'll put up a test build set to deploy against OS X 10.8 for those of you on Cubase 9.

Jim
Reply With Quote
  #5  
Old 12-17-2016, 11:01 PM
jim jim is offline
Administrator
 
Join Date: Nov 2008
Location: Albuquerque, NM
Posts: 4,365
Default

A quick update: I've got Cubase 9 installed -- no chance yet to look at the blacklist issue, but that should happen early next week.

Jim
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -6. The time now is 07:36 PM.


Powered by vBulletin® Version 3.8.1
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.